Wallets, tokens & networks
Get Paxos Position
Reads a wallet Paxos yield position via Paxos API and on-chain balances when Paxos is enabled.
GEThttps://api.toku.com/tga/get-paxos-position
Not available to API keys.
curl --request GET \
--url 'https://api.toku.com/tga/get-paxos-position?walletAddress=%3CwalletAddress%3E' \
--header 'Authorization: Bearer <token>'200 response
{
"totalValue": 0,
"totalEarned": 0,
"positions": [
{
"tokenSymbol": "string",
"tokenName": "string",
"tokenAddress": "string",
"network": "string",
"chainId": 0,
"depositedAmount": 0,
"currentValue": 0,
"shareBalance": 0,
"apy": 0,
"yieldEarned": 0
}
],
"pendingWithdrawals": [
{
"tokenSymbol": "string",
"amount": 0,
"deadline": 0
}
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
walletAddressstringrequiredAllowed: matches ^0x[a-fA-F0-9]{40}$
Response
200Successful response
totalValuenumberrequiredtotalEarnednumberrequiredpositionsobject[]requiredShow child attributes
tokenSymbolstringrequiredtokenNamestringrequiredtokenAddressstringrequirednetworkstringrequiredchainIdnumberrequireddepositedAmountnumberrequiredcurrentValuenumberrequiredshareBalancenumberrequiredapynumberrequiredyieldEarnednumberrequiredpendingWithdrawalsobject[]requiredShow child attributes
tokenSymbolstringrequiredamountnumberrequireddeadlinenumberrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits